Bug 1843516 - Review Request: php-composer-semver3 - Semver library version 3
Summary: Review Request: php-composer-semver3 - Semver library version 3
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-03 13:09 UTC by Remi Collet
Modified: 2020-07-01 02:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-06-03 13:09:50 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/composer/php-composer-semver3.git/plain/php-composer-semver3.spec?id=44ebeb70db8712ef169741970e3c93b09796ae53
SRPM URL: https://rpms.remirepo.net/SRPMS/php-composer-semver3-3.0.0-1.remi.src.rpm
Description: 
Semver library version 3 that offers utilities, version constraint
parsing and validation.

Originally written as part of composer/composer, now extracted and
made available as a stand-alone library.

Autoloader: /usr/share/php/Composer/Semver3/autoload.php


Fedora Account System Username:  remi



---


New dependency of upcoming Composer v2
Changes from v2 to v3
https://git.remirepo.net/cgit/rpms/php/composer/php-composer-semver3.git/diff/php-composer-semver3.spec?id=44ebeb70db8712ef169741970e3c93b09796ae53

Comment 1 Robert-André Mauchin 🐧 2020-06-26 14:37:30 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "*No copyright* Expat
     License". 30 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/php-composer-
     semver3/review-php-composer-semver3/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Composer(php-
     composer-spdx-licenses, composer, php-composer-ca-bundle, php-
     composer-xdebug-handler, php-composer-semver2, php-composer-semver)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

PHP:
[!]: Run phpci static analyze on all php files.
     Note: phpcompatinfo not found. Install php-bartlett-PHP-CompatInfo
     package to get a more comprehensive php review.
     See: url: undefined


Rpmlint
-------
Checking: php-composer-semver3-3.0.0-1.fc33.noarch.rpm
          php-composer-semver3-3.0.0-1.fc33.src.rpm
php-composer-semver3.noarch: W: spelling-error Summary(en_US) Semver -> Sever, Server, Serve
php-composer-semver3.noarch: W: spelling-error %description -l en_US Semver -> Sever, Server, Serve
php-composer-semver3.noarch: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-composer-semver3.noarch: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-composer-semver3.src: W: spelling-error Summary(en_US) Semver -> Sever, Server, Serve
php-composer-semver3.src: W: spelling-error %description -l en_US Semver -> Sever, Server, Serve
php-composer-semver3.src: W: spelling-error %description -l en_US Autoloader -> Auto loader, Auto-loader, Freeloader
php-composer-semver3.src: W: spelling-error %description -l en_US usr -> use, us, user
php-composer-semver3.src: W: spelling-error %description -l en_US autoload -> auto load, auto-load, tautology
php-composer-semver3.src: W: invalid-url Source0: php-composer-semver3-3.0.0-3426bd5.tgz
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 3 Gwyn Ciesla 2020-06-27 16:37:51 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-composer-semver3

Comment 4 Fedora Update System 2020-06-29 11:50:05 UTC
FEDORA-2020-9b1cadc765 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9b1cadc765

Comment 5 Fedora Update System 2020-06-30 00:55:15 UTC
FEDORA-2020-81d0b25664 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-81d0b25664 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-81d0b25664

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-30 01:13:17 UTC
FEDORA-2020-9b1cadc765 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-9b1cadc765 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9b1cadc765

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-06-30 05:37:04 UTC
FEDORA-EPEL-2020-d8053bd3a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d8053bd3a2

Comment 8 Fedora Update System 2020-07-01 02:11:32 UTC
FEDORA-EPEL-2020-d8053bd3a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-d8053bd3a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.